RANLIB(1)

NAME
ranlib - genera l'indice dell'archivio.

SINTASSI
ranlib [-vV] archive

DESCRIZIONE
ranlib genera un indice dei contenuti di un archivio e lo memorizza nell'archivio. L'indice elenca ciascun simbolo definito da un membro di un archivio che sia un file oggetto rilocabile.

Si può usare nm -s o nm --print-armap per elencare questo indice.

Un archivio con un tale indice velocizza il collegamento alla libreria e permette alle routine nella libreria di chiamare ciascun altra senza preoccuparsi della sua posizione nell'archivio.

Il programma GNU ranlib è un'altra forma di GNU ar; eseguire ranlib è completamente equivalente a eseguire ar -s.

OPZIONI

-v
-V
--version
    Mostra il numero di versione di ranlib.

VEDERE ANCHE
ar(1), nm(1), e i campi Info di binutils.

COPYRIGHT
Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled ``GNU Free Documentation License''.